Community
cancel
Showing results for 
Search instead for 
Did you mean: 
111 Views

Error from STDIN.e( ModuleNotFoundError: No module named 'tornado')

File "violenceData03.py", line 174 cd $PBS_O_WORKDIR ^ SyntaxError: invalid syntax Traceback (most recent call last): File "violenceData03.py", line 16, in <module> import cv2 ModuleNotFoundError: No module named 'cv2' Traceback (most recent call last): File "violenceData03.py", line 16, in <module> import cv2 ModuleNotFoundError: No module named 'cv2' Traceback (most recent call last): File "violenceData03.py", line 16, in <module> import cv2 ModuleNotFoundError: No module named 'cv2' Traceback (most recent call last): File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 26, in <module> import tornado ModuleNotFoundError: No module named 'tornado' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "violenceData03.py", line 12, in <module> import matplotlib.pyplot as plt File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 2349, in <module> switch_backend(rcParams["backend"]) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 221, in switch_backend backend_mod = importlib.import_module(backend_name) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/importlib/__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 28, in <module> raise RuntimeError("The WebAgg backend requires Tornado.") RuntimeError: The WebAgg backend requires Tornado. Traceback (most recent call last): File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 26, in <module> import tornado ModuleNotFoundError: No module named 'tornado' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "violenceData03.py", line 12, in <module> import matplotlib.pyplot as plt File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 2349, in <module> switch_backend(rcParams["backend"]) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 221, in switch_backend backend_mod = importlib.import_module(backend_name) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/importlib/__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 28, in <module> raise RuntimeError("The WebAgg backend requires Tornado.") RuntimeError: The WebAgg backend requires Tornado. Traceback (most recent call last): File "violenceData03.py", line 9, in <module> import tornado ModuleNotFoundError: No module named 'tornado' Traceback (most recent call last): File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 26, in <module> import tornado ModuleNotFoundError: No module named 'tornado' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "violenceData03.py", line 11, in <module> import matplotlib.pyplot as plt File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 2349, in <module> switch_backend(rcParams["backend"]) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/pyplot.py", line 221, in switch_backend backend_mod = importlib.import_module(backend_name) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/importlib/__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "/glob/development-tools/versions/oneapi/beta05/inteloneapi/intelpython/latest/lib/python3.7/site-packages/matplotlib/backends/backend_webagg.py", line 28, in <module> raise RuntimeError("The WebAgg backend requires Tornado.") RuntimeError: The WebAgg backend requires Tornado. Traceback (most recent call last): File "violenceData03.py", line 9, in <module> import tornado ModuleNotFoundError: No module named 'tornado'

 

 

 

please help[ how can I fix thuis

Tags (1)
0 Kudos
5 Replies
ArunJ_Intel
Moderator
111 Views

Hi Franck

Could you please try creating separate conda environment with python version as per your requirement and do opencv installation.

eg:

conda create -n myenv python=3.6
source activate myenv
pip install opencv-python


Could you try out these steps and and see if you are able to import cv2 without issues in this newly created environment.


Arun Jose

0 Kudos
ArunJ_Intel
Moderator
111 Views

Hey Franck,

 

Did the provided solution help? . Could you please provide an update on this.

 

Arun Jose

0 Kudos
111 Views

yes thanks very much. I will try out and let you know

 

 

0 Kudos
ArunJ_Intel
Moderator
111 Views

Hey Franck,

 

Hope you have tried out the steps we provided. Could you please confirm if your issue is resolved.

 

Thanks 

Arun Jose

0 Kudos
ArunJ_Intel
Moderator
111 Views

Hey  Franck,

 

We are closing this case assuming the solution provided helps. Please feel free to raise a new thread in case of further issues

 

Thanks

Arun Jose

0 Kudos